package server

import (
	"github.com/gin-gonic/gin"
)

type Server struct {
	*gin.Engine
}

// Init
// 初始化
//
//	@return *Server
func Init() *Server {
	return &Server{Engine: gin.New()}
}

// Listen
// 启动服务
//
//	@receiver s
//	@param addr
func (s *Server) Listen(addr string) {
	s.Run(addr)
}
