package main

import (
	"web/database"
	"web/route"
	"web/server"
)

func main() {
	s := server.Init()

	database.InitDB()

	// 注册模块路由
	route.RegistIndex(s)
	route.RegistMember(s)
	route.RegistShop(s)

	s.Listen(":8080")
}
